This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1307815 - opal: FTBFS in rawhide
opal: FTBFS in rawhide
Status: NEW
Product: Fedora
Classification: Fedora
Component: opal (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
: 1424014 (view as bug list)
Depends On:
Blocks: F24FTBFS F26FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:56 EST by Fedora Release Engineering
Modified: 2017-06-16 21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (77.30 KB, text/plain)
2016-02-13 16:56 EST, Fedora Release Engineering
no flags Details
root.log (100.46 KB, text/plain)
2016-02-13 16:56 EST, Fedora Release Engineering
no flags Details
state.log (621 bytes, text/plain)
2016-02-13 16:56 EST, Fedora Release Engineering
no flags Details
patch to build opal with gcc7 (1.61 KB, patch)
2017-06-16 21:28 EDT, Filipe Rosset
no flags Details | Diff

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:56:10 EST
Your package opal failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12846414

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:56:12 EST
Created attachment 1125506 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:56:13 EST
Created attachment 1125507 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:56:15 EST
Created attachment 1125508 [details]
state.log
Comment 4 Jan Kurik 2016-02-24 09:57:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Dominik 'Rathann' Mierzejewski 2016-08-02 15:36:04 EDT
Also, the version in rawhide is several releases behind upstream. 3.16.2 was released in May.
Comment 6 Peter Robinson 2016-08-03 03:17:25 EDT
(In reply to Dominik 'Rathann' Mierzejewski from comment #5)
> Also, the version in rawhide is several releases behind upstream. 3.16.2 was
> released in May.

that is intentional. ekiga, the only user of the library in Fedora, requires explicit versions for each distinct release so the version we ship is the one required by ekiga. The last release of ekiga was some time ago and while it's still developed the last new upstream release was some time ago.
Comment 7 Peter Robinson 2017-05-16 14:38:25 EDT
*** Bug 1424014 has been marked as a duplicate of this bug. ***
Comment 8 Filipe Rosset 2017-06-16 21:28 EDT
Created attachment 1288513 [details]
patch to build opal with gcc7

this patch fixes the build with gcc7/rawhide and silent rpmlint.

Note You need to log in before you can comment on or make changes to this bug.